> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Destination

> Update a destination.
### Required API key scope
- Destinations (Write)




## OpenAPI

````yaml put /destinations/{id}
openapi: 3.1.0
info:
  title: Destinations API
  description: Title
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Destinations
paths:
  /destinations/{id}:
    put:
      tags:
        - Destinations
      summary: Update Destination
      description: |
        Update a destination.
        ### Required API key scope
        - Destinations (Write)
      operationId: updateDestination
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
          example: 12345
          description: The destination's unique identifier.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDestinationRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Destination'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '404':
          description: Destination not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
        '422':
          description: Unprocessable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableResponse'
      security:
        - api_key: []
components:
  schemas:
    CreateDestinationRequest:
      type: object
      required:
        - name
        - type
        - address
      properties:
        name:
          type: string
          maxLength: 191
          example: Example Destination
          description: The destination's name.
        type:
          type: string
          enum:
            - warehouse
            - donate
          example: warehouse
          description: The type of location represented by the destination.
        enabled:
          type: boolean
          example: true
          description: Whether the destination is enabled as a return destination.
        address:
          $ref: '#/components/schemas/AddressRequest'
    Destination:
      type: object
      description: >-
        A physical location such as a warehouse or donation center to which
        returns are shipped.
      properties:
        id:
          type: integer
          example: 1
          description: The destination's unique identifier.
        type:
          type: string
          enum:
            - warehouse
            - donate
          example: warehouse
          description: The type of location represented by the destination.
        name:
          type: string
          example: Example Destination
          description: The destination's name.
        enabled:
          type: boolean
          example: true
          description: Whether the destination is enabled as a return destination.
        provider_location_id:
          type:
            - integer
            - 'null'
          example: 42424242
          description: >
            The numeric location identifier from the commerce platform (for
            example Shopify) when a

            location is linked to this destination in Loop. `null` when no
            location is linked. The

            linked location's `source` field indicates which provider the ID
            belongs to.
        address:
          $ref: '#/components/schemas/Address'
    UnauthorizedResponse:
      type: object
      required:
        - errors
      properties:
        errors:
          type: string
          example: Unauthorized.
    NotFoundResponse:
      type: object
      properties:
        code:
          type: string
          example: NOT_FOUND
        message:
          type: string
          example: >-
            The destination could not be found. Please verify that the provided
            id is correct.
    UnprocessableResponse:
      type: object
      properties:
        message:
          type: string
          example: The name field is required.
    AddressRequest:
      type: object
      description: The destination's address.
      required:
        - address1
        - city
        - country
        - country_code
      properties:
        name:
          type:
            - string
            - 'null'
          example: Main Warehouse
          description: The name associated with the address.
        company:
          type:
            - string
            - 'null'
          example: Universal Exports
          description: The company residing at the address.
        address1:
          type: string
          example: 123 Main St
          description: The street address of the destination.
        address2:
          type:
            - string
            - 'null'
          example: Unit 456
          description: The secondary address details of the destination.
        city:
          type: string
          example: Columbus
        state:
          type:
            - string
            - 'null'
          example: Ohio
        zip:
          type:
            - string
            - 'null'
          example: '43210'
        country:
          type: string
          example: United States
        country_code:
          type: string
          example: US
        phone:
          type:
            - string
            - 'null'
          example: +1-678-999-8212
          description: The phone number associated with the address.
    Address:
      type: object
      description: The destination's address.
      properties:
        name:
          type:
            - string
            - 'null'
          example: Main Warehouse
          description: The name associated with the address.
        company:
          type:
            - string
            - 'null'
          example: Universal Exports
          description: The company residing at the address.
        address1:
          type: string
          example: 123 Main St
          description: The street address of the destination.
        address2:
          type:
            - string
            - 'null'
          example: Unit 456
          description: The secondary address details of the destination.
        city:
          type: string
          example: Columbus
        state:
          type:
            - string
            - 'null'
          example: Ohio
        zip:
          type:
            - string
            - 'null'
          example: '43210'
        country:
          type: string
          example: United States
        country_code:
          type: string
          example: US
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````